Package org.eclipse.ecf.remoteservice.client

## Class AbstractClientService.AsyncResult

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.AbstractClientService.AsyncResult

All Implemented Interfaces:
  `org.eclipse.equinox.concurrent.future.IProgressRunnable`

Enclosing class:
  AbstractClientService

    protected class AbstractClientService.AsyncResult
    extends Object
    implements org.eclipse.equinox.concurrent.future.IProgressRunnable

inner class implementing the asynchronous result object. This implementation also provides the calling infrastructure.

### Constructor Summary

Constructors
`AsyncResult​(IRemoteCall call, IRemoteCallable callable, IRemoteCallListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `run​(org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncResult

    public AsyncResult​(IRemoteCall call,
                       IRemoteCallable callable,
                       IRemoteCallListener listener)

### Method Detail

#### run

    public Object run​(org.eclipse.core.runtime.IProgressMonitor monitor)
               throws Exception

Specified by:
  `run` in interface `org.eclipse.equinox.concurrent.future.IProgressRunnable`
Throws:
  `Exception`